Hut 8 Corp

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/hut-8-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/hut-8-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1741564800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2025/03/06/3038686/0/en/Hut-8-Operations-Update-for-February-2025.html",
    "holding_balance": 10273.0,
    "holding_net_change": 65.0,
    "transaction_value_usd": 5103437.3,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1754611200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2025/08/07/3129017/0/en/Hut-8-Reports-Second-Quarter-2025-Results.html",
    "holding_balance": 10667.0,
    "holding_net_change": 394.0,
    "transaction_value_usd": 45973283.24,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1762214400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://cdn.kscope.io/2e3fb84fcb11d5b1fd4907809d01f01a.html",
    "holding_balance": 13696.0,
    "holding_net_change": 3029.0,
    "transaction_value_usd": 307370804.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/hut-8-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    13696.0
  ],
  [
    1779062400000,
    13696.0
  ],
  [
    1779148800000,
    13696.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/hut-8-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1060479362.56
  ],
  [
    1779062400000,
    1053828721.92
  ],
  [
    1779148800000,
    1051305096.96
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/hut-8-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 99.52,
    "date": "2026-05-15",
    "high": 104.47,
    "open": 104.3,
    "close": 102.47,
    "volume": 4781100
  },
  {
    "low": 92.502,
    "date": "2026-05-18",
    "high": 101.0,
    "open": 100.5,
    "close": 96.2,
    "volume": 5594000
  },
  {
    "low": 86.82,
    "date": "2026-05-19",
    "high": 96.0,
    "open": 95.21,
    "close": 93.31,
    "volume": 5233783
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/hut-8-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.4133,
  "quarterly_earnings_growth": 60.068,
  "eps_estimate_current_quarter": -0.3567
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/hut-8-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 18.13,
  "six_month_return": 152.6,
  "three_month_return": 74.04
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/hut-8-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 9.7,
  "total_btc_percentage": 0.065,
  "share_price_change_state": "up"
}